steps:
- name: gcr.io/cloud-builders/docker
  timeout: 900s
  args: [build, ., --build-arg, 'BUILDER_IMAGE=${_BUILDER_IMAGE}']
timeout: 1800s
substitutions:
  _ARTIFACTS_LOCATION: us-central1
  _ARTIFACTS_REPOSITORY: my-docker-repo
  _BUILDER_IMAGE: ${_ARTIFACTS_LOCATION}-docker.pkg.dev/${PROJECT_ID}/${_ARTIFACTS_REPOSITORY}/alltheplaces-builder
options:
  dynamic_substitutions: true
  machineType: E2_HIGHCPU_8
